# requiring the environment of Ruby 2.3.x
 image: ruby:4.2
 # add bundle cache to 'vendor' for speeding up builds
 cache:
   paths:
     - vendor/
 before_script:
   - bundle install --path vendor
 # the 'pages' job will deploy and build your site to the 'public' path
 pages:
   stage: deploy
   script:
     - bundle exec jekyll build -d public/
   artifacts:
     paths:
       - public
   only:
     - master # this job will affect only the 'master' branch